- Create a new case.
Fetch cases by ID, case number, or channel case identifier.
Delete cases by ID or case number. Supports bulk delete.
Update a case with a full update (not a patch).
Update a case with a partial update (PATCH).
Apply macro on a case.
Fetch IDs of messages associated with a case.
Bulk create profile cases (async)
Poll bulk case job status
Merge cases.
Get AI+ case smart summary.
Create a new case.
Security
bearerAuth and apiKeyAuth
Workflow details of the case. It includes customproperties, queues, assignment details of the case.
last time when a message was associated to the profile
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/case
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/case
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/case \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"caseNumber": 0,
"subject": "string",
"description": "string",
"version": 0,
"status": "string",
"priority": "string",
"caseType": "string",
"externalCase": {
"id": "string",
"caseNumber": "string",
"channelType": "string",
"permalink": "string",
"createdTime": 0,
"modifiedTime": 0,
"clientId": 0,
"subDomain": "string",
"additional": {
"property1": "string",
"property2": "string"
}
},
"externalCaseInfo": {
"externalCases": [
{
"id": "string",
"caseNumber": "string",
"channelType": "string",
"permalink": "string",
"createdTime": 0,
"modifiedTime": 0,
"clientId": 0,
"subDomain": "string",
"additional": {
"property1": "string",
"property2": "string"
}
}
]
},
"workflow": {
"assignment": {
"assigneeId": "string",
"assigneeType": "string",
"assignedById": 0,
"assignmentTime": 0
},
"modifiedTime": 0,
"customProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"queues": [
{
"queueId": 0,
"assignmentTime": 0
}
],
"spaceWorkflows": [
{
"spaceId": "string",
"modifiedTime": 0,
"customProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"queues": [
{
"queueId": 0,
"assignmentTime": 0
}
]
}
],
"campaignId": "string"
},
"channelCustomProperties": [
{
"channelType": "SPRINKLR_LIVE_CHAT",
"browser": "string",
"device": "string",
"pageTitle": "string",
"pageUrl": "string",
"initiator": "string",
"ipAddress": "string",
"screenResolution": "string",
"locale": "string",
"timeZone": "string",
"conversationClosed": "string",
"country": "string",
"language": "string",
"userAgent": "string"
}
],
"contact": {
"id": "string",
"name": "string",
"channelType": "string",
"channelId": "string",
"fromSnUserId": "string"
},
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"dueDate": 0,
"summary": "string",
"smartSummary": {
"summary": "string",
"lastEditedByUser": 0,
"modifiedTime": 0
},
"createdTime": 0,
"modifiedTime": 0,
"firstMessageId": "string",
"sentiment": 0,
"latestProfileMessageAssociatedTime": 0,
"conversationId": "string",
"firstMessageAssociatedTime": 0,
"latestMessageAssociatedTime": 0,
"firstUserBrandResponseCreationTime": 0,
"avgCaseResponseSLA": 0,
"totalProcessingClockTime": 0,
"allEngagedUsersList": [
"string"
],
"associatedFanMessageCount": 0,
"associatedBrandMessageCount": 0,
"associatedUserBrandMessageCount": 0,
"deleted": true,
"latestMessageId": "string",
"associatedMessageIds": [
"string"
],
"conversationIntentIds": [
"string"
],
"customPropertiesMetadata": [
{
"fieldName": "string",
"type": "string",
"label": "string",
"clientCustomProperty": true,
"values": [
"string"
]
}
],
"channelType": "string",
"channelId": "string",
"contactInfo": {
"firstName": "string",
"maidenName": "string",
"lastName": "string",
"fullName": "string",
"email": "string",
"username": "string",
"phoneNo": "string",
"address": {
"street1": "string",
"street2": "string",
"city": "string",
"state": "string",
"country": "string",
"postalCode": "string"
},
"website": [
"string"
],
"phoneDetails": [
{
"phoneNo": "string",
"countryCode": "string"
}
],
"emailDetails": [
{
"email": "string",
"type": "string"
}
]
},
"commentDTO": {
"assetClass": "string",
"entityId": "string",
"entityType": "string",
"assetId": "string",
"contextId": "string",
"contextClass": "LOCATION_ACCOUNT",
"id": "string",
"comment": "string",
"mediaList": [
{
"langVsTranslatedFieldValues": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
},
"mediaUploadLocation": {},
"type": "POST",
"imageUrl": "string",
"previewImageUrl": "string",
"title": "string",
"description": "string",
"alternateText": "string",
"content": "string",
"source": "string",
"caption": "string",
"preTranscodingUrl": "string",
"transcodedMediaUrl": "string",
"clickThroughUrl": "string",
"assosciatedMediaAssetId": "string",
"mediaAssetId": "string",
"ugcId": "string",
"ugcSenderId": "string",
"defaultMedia": {},
"mediaList": [
{}
],
"additional": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"rawMediaContent": "string",
"mediaProperties": {
"serialVersionUID": {},
"channelType": "SLIDESHARE",
"templateProperties": {
"serialVersionUID": {},
"elementId": "string",
"quantity": 0,
"price": 0,
"currency": "string",
"payload": "string",
"subtitle": "string",
"type": "string",
"url": "string",
"payloadMd5": "string"
},
"downloadable": true,
"makePrivate": true,
"shareable": true,
"embedable": true,
"secret": true,
"tags": [
"string"
]
},
"sourceType": "string",
"originalSource": "string",
"embedHtml": "string",
"callToAction": {
"serialVersionUID": {},
"type": "string",
"value": {
"serialVersionUID": {},
"link": "string",
"appLink": "string",
"page": 0,
"productLink": "string",
"linkCaption": "string",
"leadGenFormId": "string",
"applicationId": "string",
"appDestination": "string",
"linkFormat": "string",
"eventId": "string",
"whatsappNumber": "string",
"objectStoreURLs": [
"string"
],
"messengerAppDestinationPageId": "string"
}
},
"mediaDetails": {
"imageDetails": {
"width": 0,
"height": 0,
"aspectRatio": 0.1
},
"videoDetails": {
"width": 0,
"height": 0,
"duration": 0,
"size": 0,
"aspectRatio": 0.1,
"frameRate": 0.1,
"bitRate": 0,
"videoCodec": "string",
"audioCodec": "string",
"audioSampleRate": 0,
"audioChannel": 0,
"audioProfile": "string",
"videoPixelFmt": "string",
"audioBitrate": 0,
"totalBitrate": 0,
"audioStreamCount": 0,
"rotation": 0,
"moments": [
{
"additional": {}
}
]
},
"pollsDetails": {
"anonymous": true,
"pollId": "string",
"ownerId": "string",
"pollQuestion": "string",
"duration": "string",
"pollOptions": [
{}
],
"totalVotes": 0,
"expiryTime": "string"
},
"eventDetails": {
"startTime": 0,
"endTime": 0,
"privacyPolicyUrl": "string",
"eventUrl": "string",
"type": "string",
"venue": "string",
"address": "string",
"format": "string",
"authorId": 0,
"timezone": "string"
}
},
"closedCaptions": [
{
"serialVersionUID": {},
"title": "string",
"captionResourceUrl": "string",
"languageCode": "string",
"extension": "string",
"autoGenerated": true,
"additional": {
"property1": [
null
],
"property2": [
null
]
}
}
],
"ignorePreProcessing": true,
"setAsThumbnail": true,
"messageLocation": {
"serialVersionUID": {},
"text": "string",
"lat": 0.1,
"lon": 0.1,
"placeId": "string",
"link": "string",
"additional": {
"property1": "string",
"property2": "string"
}
},
"featuredImage": true,
"sizeInBytes": 0,
"duration": 0.1,
"previewSizeInBytes": 0,
"actionDetails": {
"serialVersionUID": {},
"action": "CreateCalendarEventActionDetails",
"makeExternalCall": true,
"externalCallParams": "string",
"langVsTranslatedFieldValues": {
"property1": {
"property1": "string",
"property2": "string"
},
"property2": {
"property1": "string",
"property2": "string"
}
},
"startTime": 0,
"endTime": 0,
"dateType": {},
"dynamicStartTime": "string",
"dynamicEndTime": "string"
},
"thumbnailList": [
"string"
],
"previews": [
{
"serialVersionUID": {},
"url": "string",
"offset": 0
}
],
"videoLocalizationDetails": [
{
"title": "string",
"description": "string",
"locale": "string"
}
],
"defaultLocale": "string",
"mediaMimeType": "string",
"previewSourceUrl": "string",
"copyrightDetails": {
"id": "string",
"status": {},
"matchesFound": true,
"lastUpdatedTime": 0
},
"order": 0
}
],
"attachments": [
{
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
}
],
"clientId": 0,
"commentingUser": 0,
"commentedOnDate": 0,
"universalMessageKey": {
"universalMessageId": "string",
"snType": "string",
"msgType": 0,
"snMsgId": "string",
"sourceId": 0,
"sourceType": "ACCOUNT",
"snCreatedTimeYearMonth": "string",
"snCreatedTime": 0,
"hashedUniversalMessageId": {},
"additional": {
"property1": "string",
"property2": "string"
}
},
"channelAssetId": "string",
"channelCommentId": "string",
"inReplyToCommentId": "string",
"commentingCommunityUserId": "string",
"collaborationChannelId": "string",
"hasConversation": true,
"restrictVisibility": true,
"resolved": true,
"type": "string",
"additionalInfo": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"isPrivate": true
},
"additional": {
"property1": "string",
"property2": "string"
},
"associatedMessages": [
{
"id": "string",
"draftId": 0,
"sourceType": "string",
"sourceId": 0,
"content": {
"title": "string",
"titleHash": "string",
"text": "string",
"textHash": "string",
"richText": "string",
"postbackPayload": "string",
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"templateId": "string",
"isRichText": true
},
"channelMessageId": "string",
"channelType": "string",
"accountType": "string",
"channelCreatedTime": 0,
"senderProfile": {
"name": "string",
"channelType": "string",
"channelId": "string",
"permalink": "string",
"avatarUrl": "string",
"profileImageUrl": "string",
"coverImageUrl": "string",
"bio": "string",
"followers": 0,
"following": 0,
"username": "string",
"verified": true,
"unSubscribed": true,
"deleted": true,
"snCreatedTime": 0,
"snModifiedTime": 0,
"statusCount": 0,
"accountSpecificInfos": [
{
"accountId": 0,
"externalId": "string",
"lastBrandEngagedTime": 0,
"lastFanEngagedTime": 0,
"optIn": true,
"fanSubscriptionState": "string",
"activeUser": true,
"invited": true
}
],
"additional": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"birthDate": "string",
"url": "string",
"maritalStatus": "string"
},
"receiverProfile": {
"name": "string",
"channelType": "string",
"channelId": "string",
"permalink": "string",
"avatarUrl": "string",
"profileImageUrl": "string",
"coverImageUrl": "string",
"bio": "string",
"followers": 0,
"following": 0,
"username": "string",
"verified": true,
"unSubscribed": true,
"deleted": true,
"snCreatedTime": 0,
"snModifiedTime": 0,
"statusCount": 0,
"accountSpecificInfos": [
{
"accountId": 0,
"externalId": "string",
"lastBrandEngagedTime": 0,
"lastFanEngagedTime": 0,
"optIn": true,
"fanSubscriptionState": "string",
"activeUser": true,
"invited": true
}
],
"additional": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"birthDate": "string",
"url": "string",
"maritalStatus": "string"
},
"mentionedProfiles": [
{
"name": "string",
"channelType": "string",
"channelId": "string",
"permalink": "string",
"avatarUrl": "string",
"profileImageUrl": "string",
"coverImageUrl": "string",
"bio": "string",
"followers": 0,
"following": 0,
"username": "string",
"verified": true,
"unSubscribed": true,
"deleted": true,
"snCreatedTime": 0,
"snModifiedTime": 0,
"statusCount": 0,
"accountSpecificInfos": [
{
"accountId": 0,
"externalId": "string",
"lastBrandEngagedTime": 0,
"lastFanEngagedTime": 0,
"optIn": true,
"fanSubscriptionState": "string",
"activeUser": true,
"invited": true
}
],
"additional": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"birthDate": "string",
"url": "string",
"maritalStatus": "string"
}
],
"permalink": "string",
"language": "string",
"messageId": "string",
"postId": 0,
"assetId": "string",
"authorId": 0,
"brandPost": true,
"createdTime": 0,
"modifiedTime": 0,
"textEntities": {
"property1": [
{
"indices": [
0
],
"cashtag": "string",
"text": "string",
"url": "string",
"screenName": "string",
"hashtag": "string",
"emoticon": "string",
"inlineImageUrl": "string",
"inlineImageHeight": "string",
"inlineImageWidth": "string"
}
],
"property2": [
{
"indices": [
0
],
"cashtag": "string",
"text": "string",
"url": "string",
"screenName": "string",
"hashtag": "string",
"emoticon": "string",
"inlineImageUrl": "string",
"inlineImageHeight": "string",
"inlineImageWidth": "string"
}
]
},
"location": {
"text": "string",
"lat": 0.1,
"lon": 0.1,
"placeId": "string",
"link": "string",
"additional": {
"property1": "string",
"property2": "string"
}
},
"insights": {
"property1": 0.1,
"property2": 0.1
},
"workflow": {
"assignment": {
"assigneeId": "string",
"assigneeType": "string",
"assignedById": 0,
"assignmentTime": 0
},
"modifiedTime": 0,
"customProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"queues": [
{
"queueId": 0,
"assignmentTime": 0
}
],
"spaceWorkflows": [
{
"spaceId": "string",
"modifiedTime": 0,
"customProperties": {
"property1": [
null
],
"property2": [
null
]
},
"queues": [
{}
]
}
],
"campaignId": "string"
},
"enrichments": {
"sentiment": 0,
"engageable": true,
"messageCategory": "string",
"messageTone": "string",
"emotion": "string",
"lstTopicIds": [
"string"
],
"lstThemeIds": [
"string"
],
"flaggedWords": {
"allFlaggedWords": [
"string"
],
"imageFlaggedWords": [
"string"
],
"messageFlaggedWords": [
"string"
],
"videoFlaggedWords": [
"string"
]
}
},
"deleted": "string",
"conversationId": "string",
"parentMessageId": "string",
"autoImported": true,
"autoResponse": true,
"apiStatus": "string",
"quotedMessageId": "string",
"botApplicationInfo": {
"botApplicationInfos": [
{}
],
"appId": "string",
"botConversationStatus": "string",
"routedToAgent": true
},
"associatedCaseNumber": 0,
"contextualInformation": [
{
"type": "WHATSAPP_BUSINESS_MESSAGE_CONTEXT",
"from": "string",
"id": "string",
"forwarded": true,
"frequentlyForwarded": true,
"referredProduct": {
"catalogId": "string",
"productRetailerId": "string",
"universalProduct": {
"serialVersionUID": {},
"canEdit": true,
"assetPermission": {
"shareConfigs": [],
"grants": []
},
"shareConfigs": [
null
],
"grants": [
null
],
"id": "string",
"source": {},
"catalogIds": [
null
],
"categoryIds": [
null
],
"categoryLabel": "string",
"title": "string",
"description": "string",
"displayName": "string",
"disambiguatingDescription": "string",
"link": "string",
"price": 0.1,
"sellingPrice": 0.1,
"priceBookPrice": [
null
],
"discount": 0.1,
"currency": "string",
"availability": "string",
"inventory": 0,
"gtin": "string",
"mpn": "string",
"brand": "string",
"retailerId": "string",
"specification": {},
"productSubSpecification": {
"property1": {},
"property2": {}
},
"additional": {
"property1": {},
"property2": {}
},
"sku": "string",
"skus": [
null
],
"parentProductId": "string",
"groupId": "string",
"mediaDetails": [
null
],
"rating": {
"serialVersionUID": {},
"NORMALIZATION_FACTOR": {},
"entity": {},
"subRatings": [],
"scoreMap": {}
},
"localization": {
"property1": {},
"property2": {}
},
"stats": {},
"tags": [
null
],
"similarProducts": [
null
],
"relatedProducts": [
null
],
"partnerCustomProperties": {
"property1": [],
"property2": []
},
"clientCustomProperties": {
"property1": {},
"property2": {}
},
"delisted": true,
"customProperties": {
"flatCustomProperties": [],
"customPropertyNames": [],
"mappedCustomProperties": {},
"mappedControllingCustomPropertyList": [],
"customProperties": [],
"fields": [],
"properties": {}
},
"sourceType": "string",
"sourceId": "string",
"sourceProductId": "string",
"sourceCatalogId": "string",
"channelType": "string",
"applicationType": "string"
}
},
"groupId": "string",
"mentions": [
"string"
],
"catalogId": "string",
"productRetailerId": "string"
}
],
"channelSpecificInfo": {
"channelType": "SPRINKLR_ALERT",
"timestamp": 0,
"alertAgentName": "string",
"alertAgentId": "string",
"alertMetric": "string",
"alertCategory": "string",
"alertName": "string",
"alertCaseNumber": "string",
"nudgeTheme": "string",
"alertId": "string",
"nudgeId": "string",
"alertActions": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"alertActionsWithEntity": [
{
"id": "string",
"name": "string",
"description": "string",
"type": "string",
"entity": {},
"additional": {
"property1": {},
"property2": {}
}
}
]
},
"customPropertiesMetadata": [
{
"fieldName": "string",
"type": "string",
"label": "string",
"clientCustomProperty": true,
"values": [
"string"
]
}
]
}
]
}'Success
Workflow details of the case. It includes customproperties, queues, assignment details of the case.
last time when a message was associated to the profile
Response
{ "id": "string", "caseNumber": 0, "subject": "string", "description": "string", "version": 0, "status": "string", "priority": "string", "caseType": "string", "externalCase": { "id": "string", "caseNumber": "string", "channelType": "string", "permalink": "string", "createdTime": 0, "modifiedTime": 0, "clientId": 0, "subDomain": "string", "additional": { … } }, "externalCaseInfo": { "externalCases": [ … ] }, "workflow": { "assignment": { … }, "modifiedTime": 0, "customProperties": { … }, "queues": [ … ], "spaceWorkflows": [ … ], "campaignId": "string" }, "channelCustomProperties": [ { … } ], "contact": { "id": "string", "name": "string", "channelType": "string", "channelId": "string", "fromSnUserId": "string" }, "attachment": { "type": "IMAGE", "assetId": "string", "attachmentOptions": [ … ], "url": "string", "urlHash": "string", "title": "string", "description": "string", "previewUrl": "string", "hashedPreviewUrl": "string", "mimeType": "string", "alternateText": "string", "height": 0.1, "width": 0.1, "encryptedUrl": "string", "sizeInBytes": 0 }, "dueDate": 0, "summary": "string", "smartSummary": { "summary": "string", "lastEditedByUser": 0, "modifiedTime": 0 }, "createdTime": 0, "modifiedTime": 0, "firstMessageId": "string", "sentiment": 0, "latestProfileMessageAssociatedTime": 0, "conversationId": "string", "firstMessageAssociatedTime": 0, "latestMessageAssociatedTime": 0, "firstUserBrandResponseCreationTime": 0, "avgCaseResponseSLA": 0, "totalProcessingClockTime": 0, "allEngagedUsersList": [ "string" ], "associatedFanMessageCount": 0, "associatedBrandMessageCount": 0, "associatedUserBrandMessageCount": 0, "deleted": true, "latestMessageId": "string", "associatedMessageIds": [ "string" ], "conversationIntentIds": [ "string" ], "customPropertiesMetadata": [ { … } ] }